Index: palm/trunk/SOURCE/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3797)
+++ palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3799)
@@ -114,5 +114,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -191,5 +191,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -256,5 +256,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -300,5 +300,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -362,5 +362,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -388,5 +388,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -446,5 +446,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -473,5 +473,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -500,5 +500,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -529,5 +529,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -555,5 +555,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Mar 15 12:08:06 2019
+! Time                 : Fri Mar 15 16:28:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190315/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -688,4 +688,8 @@
   k = is
   cfactor = 1.000000e+00_dp
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( lu_crow(1) == 1  .OR.  lu_icol(1) == 1  .OR.  lu_irow(1) == 1 )  CONTINUE 
+!  
 
   x = (0.) * cfactor
@@ -773,4 +777,7 @@
 
 
+! Following line is just to avoid compiler message about unused variables
+IF ( f(nfix) > 0.0_dp )  CONTINUE
+!  
 ! Computation of equation rates
   a(1) = rct(1) * v(3)
@@ -816,4 +823,7 @@
 ! B - Temporary array
   REAL(kind=dp):: b(4)
+!
+! Following line is just to avoid compiler message about unused variables
+IF ( f(nfix) > 0.0_dp )  CONTINUE
 
 ! B(1) = dA(1)/dV(3)
@@ -960,4 +970,7 @@
       REAL(kind=dp) :: x(n), alpha
       REAL(kind=dp), PARAMETER  :: zero=0.0_dp, one=1.0_dp
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( incx == 0 )  CONTINUE
 
       IF (alpha .eq. one)RETURN
@@ -1023,4 +1036,7 @@
       REAL(kind=dp), PARAMETER :: zero = 0.0_dp
 
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( incx == 0  .OR.  incy == 0 )  CONTINUE
       IF (alpha .eq. zero)RETURN
       IF (n .le. 0)RETURN
@@ -1755,4 +1771,7 @@
 !~~~> inout variables
    REAL(kind=dp), INTENT(INOUT):: b(n)
+!  
+! Following line is just to avoid compiler message about unused variables
+IF ( pivot(1) == 0 )  CONTINUE
 
 #ifdef full_algebra    
